ngram_search_stats_s Struct Reference

Various statistics for profiling. More...

`#include <ngram_search.h>`

## Data Fields

int32 | n_phone_eval
int32 | n_root_chan_eval
int32 | n_nonroot_chan_eval
int32 | n_last_chan_eval
int32 | n_word_lastchan_eval
int32 | n_lastphn_cand_utt
int32 | n_fwdflat_chan
int32 | n_fwdflat_words
int32 | n_fwdflat_word_transition
int32 | n_senone_active_utt

## Detailed Description

Various statistics for profiling.

Definition at line 180 of file ngram_search.h.

## Field Documentation

## n_fwdflat_chan

int32 ngram_search_stats_s::n_fwdflat_chan

Definition at line 187 of file ngram_search.h.

## n_fwdflat_word_transition

int32 ngram_search_stats_s::n_fwdflat_word_transition

Definition at line 189 of file ngram_search.h.

## n_fwdflat_words

int32 ngram_search_stats_s::n_fwdflat_words

Definition at line 188 of file ngram_search.h.

## n_last_chan_eval

int32 ngram_search_stats_s::n_last_chan_eval

Definition at line 184 of file ngram_search.h.

## n_lastphn_cand_utt

int32 ngram_search_stats_s::n_lastphn_cand_utt

Definition at line 186 of file ngram_search.h.

## n_nonroot_chan_eval

int32 ngram_search_stats_s::n_nonroot_chan_eval

Definition at line 183 of file ngram_search.h.

## n_phone_eval

int32 ngram_search_stats_s::n_phone_eval

Definition at line 181 of file ngram_search.h.

## n_root_chan_eval

int32 ngram_search_stats_s::n_root_chan_eval

Definition at line 182 of file ngram_search.h.

## n_senone_active_utt

int32 ngram_search_stats_s::n_senone_active_utt

Definition at line 190 of file ngram_search.h.

## n_word_lastchan_eval

int32 ngram_search_stats_s::n_word_lastchan_eval

Definition at line 185 of file ngram_search.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ngram_search.h